# file    : tex.properties
# version : 18 august 2003
# author  : Hans Hagen / PRAGMA ADE / www.pragma-ade.com

# TeX users may want to use the Latin Modern Typewriter font:
#
#   use.monospaced=1
#   font.monospace=font:LMTypewriter10,size:16.5
#   font.errorfont=font:LMTypewriter10,size:11.5
#
# These and more presets are done in context.properties.

# TeX: patterns

file.patterns.tex=*.tex
filter.tex=TeX|$(file.patterns.tex)|
lexer.$(file.patterns.tex)=tex

# TeX: commands (check process view)

command.compile.$(file.patterns.tex)=
command.build.$(file.patterns.tex)=tex $(FileNameExt)
command.go.$(file.patterns.tex)=gv $(FileName).pdf

command.0.$(file.patterns.tex)=
command.1.$(file.patterns.tex)=
command.2.$(file.patterns.tex)=
command.3.$(file.patterns.tex)=
command.4.$(file.patterns.tex)=
command.5.$(file.patterns.tex)=
command.6.$(file.patterns.tex)=
command.7.$(file.patterns.tex)=
command.8.$(file.patterns.tex)=
command.9.$(file.patterns.tex)=

# TeX: highlighting

style.tex.0=fore:#3F3F3F
style.tex.1=fore:#007F7F
style.tex.2=fore:#7F0000
style.tex.3=fore:#7F7F00
style.tex.4=fore:#007F00
style.tex.34=fore:#00007F
style.tex.35=fore:#7F007F

# TeX: comments

comment.block.tex=%
comment.block.at.line.start.tex=1

# TeX: lexer.tex.interface.default
#
# 0 all \commands
# 1 tex etex pdftex omega primitives
# 2 context nl (when context.properties is loaded)
# 3 context en (when context.properties is loaded)
# 4 context de (when context.properties is loaded)
# 5 context cz (when context.properties is loaded)
# 6 context it (when context.properties is loaded)
# 7 context ro (when context.properties is loaded)
# 8 latex (no keywords yet; will move up)
#
# first lines of a tex file are interpreted as follows
#
# % interface=all|nl|en|de|cz|it|ro|latex

lexer.tex.interface.default=0

# TeX: lexer.tex.use.keywords
#
# 0 don't use keyword lists
# 1 use keyword lists

lexer.tex.use.keywords=1

# TeX: lexer.tex.comment.process
#
# 0 don't interpret comment
# 1 color comment like source code

lexer.tex.comment.process=0

# TeX: lexer.tex.auto.if
#
# 0 don't handle \if<unknown>
# 1 treat \if<unknown> as command

lexer.tex.auto.if=1

# only the macros that make sense:

import context/scite-context-data-tex.properties

# collections

keywordclass.tex.all=\
    $(keywordclass.tex.tex) \
    $(keywordclass.tex.etex) \
    $(keywordclass.tex.pdftex) \
    $(keywordclass.tex.aleph) \
    $(keywordclass.tex.omega) \
    $(keywordclass.tex.xetex) \
    $(keywordclass.tex.plain)

# keywords1 is not used since scintilla takes it from 'keywords' and
# the other slots are used for context (interfaces) and slot 8 can
# be used for latex but as scite ships with its own latex support
# anyway so we don't bother about it here

keywords.$(file.patterns.tex)=$(keywordclass.tex.all)

# TeX: words

word.characters.$(file.patterns.tex)=abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ@\\

# TeX: end of file
